# Generated by Django 3.0.6 on 2020-05-24 14:59

from django.db import migrations, models
import django.utils.timezone
import proteins.models


class Migration(migrations.Migration):

    dependencies = [
        ('proteins', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Url',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=100)),
                ('types', models.CharField(blank=True, max_length=100, null=True)),
                ('user', models.CharField(max_length=100)),
                ('gb', models.FileField(unique=True, upload_to=proteins.models.user_directory_path)),
                ('sequences', models.TextField(blank=True, null=True)),
                ('created_date', models.DateField(default=django.utils.timezone.now)),
            ],
            options={
                'ordering': ('created_date',),
            },
        ),
        migrations.RemoveField(
            model_name='protein',
            name='functions',
        ),
        migrations.RemoveField(
            model_name='protein',
            name='seq_similarities',
        ),
        migrations.DeleteModel(
            name='Funtion',
        ),
    ]
